Lineage 3 endpoints

POST /lineage/manual

Create a new lineage object manually. Only one direction of the relationship needs to be created. The opposite direction of the lineage is automatically generated.

operationId: Lineage_createNewLineageManually

Request Body

required
application/json
schema LineageCreateNewLineageManuallyRequest
Property Type Required
direction string optional
to_entity string optional
from_entity string optional

Responses

201

Created

400

Bad Request

500

Internal Server Error

POST /lineage/manual
DELETE /lineage/manual/{lineage_id}

Delete a lineage object by its ID.

operationId: Lineage_deleteById

Parameters

Name In Required Type Description
lineage_id path required string

The ID of the lineage entry to delete.

Responses

204

No Content

404

Not Found

500

Internal Server Error

DELETE /lineage/manual/{lineage_id}
GET /lineage/manual/{lineage_id}

Get a lineage object by its ID.

operationId: Lineage_getById

Parameters

Name In Required Type Description
lineage_id path required string

The ID of the lineage entry to retrieve.

Responses

200

OK

404

Not Found

500

Internal Server Error

GET /lineage/manual/{lineage_id}

Metrics 6 endpoints

GET /metric/metrics

Retrieve a list of metrics.

operationId: Metrics_list

Responses

200

List of metrics.

400

Bad Request

500

Internal Server Error

GET /metric/metrics
POST /metric/metrics

Create a metric, and define the relevant columns for the metric. This endpoint will create the resource, but will not run it. See the metric/metrics/{metric_id}/execute endpoint to run the metric for the first time.

operationId: Metrics_createNewMetric

Request Body

required
application/json
schema MetricsCreateNewMetricRequest
Property Type Required
sql string required
time string optional
title string required
primary string optional
dimension string optional
description string optional
integration string required
scheduled_delta integer optional

Responses

201

Metric created successfully

400

Bad request

POST /metric/metrics
DELETE /metric/metrics/{metric_id}
operationId: Metrics_deleteMetricById

Parameters

Name In Required Type Description
metric_id path required string

Responses

204

Metric deleted successfully

404

Metric not found

DELETE /metric/metrics/{metric_id}
GET /metric/metrics/{metric_id}
operationId: Metrics_getById

Parameters

Name In Required Type Description
metric_id path required string

Responses

200

Metric retrieved successfully

404

Metric not found

GET /metric/metrics/{metric_id}
PATCH /metric/metrics/{metric_id}
operationId: Metrics_updateMetricById

Parameters

Name In Required Type Description
metric_id path required string

Request Body

required
application/json
schema MetricsUpdateMetricByIdRequest
Property Type Required
sql string optional
title string optional
description string optional
scheduled_delta string optional

Responses

200

Metric updated successfully

404

Metric not found

PATCH /metric/metrics/{metric_id}
POST /metric/metrics/{metric_id}/execute
operationId: Metrics_runMetricExecution

Parameters

Name In Required Type Description
metric_id path required string

Request Body

required
application/json
schema MetricsRunMetricExecutionRequest

Responses

200

Metric executed successfully

POST /metric/metrics/{metric_id}/execute

Monitors 5 endpoints

GET /monitors/incident/{incident_id}

This endpoint allows you to retrieve an incident by it’s ID.

operationId: Monitors_getIncidentById

Parameters

Name In Required Type Description
incident_id path required string

The unique identifier of the incident

Responses

200

Monitor retrieved successfully

404

Incident not found

500

Internal Server Error

GET /monitors/incident/{incident_id}
GET /monitors/incidents

This endpoint allows you to retrieve a list of all the incidents in your workspace.

operationId: Monitors_listIncidents

Responses

200

List of Incidents.

400

Bad Request

500

Internal Server Error

GET /monitors/incidents
GET /monitors/measurements

This endpoint allows you to retrieve a list of all the measurements in your workspace filtered by a Monitor or Incident. A query param of either the Monitor ID or Incident ID is required.

If using monitoring in automatic mode, thresholds will take some time to populate as the system learnins the appropriate range for your data.

operationId: Monitors_listMeasurements

Parameters

Name In Required Type Description
monitor query optional string

The unique identifier of the monitor

incident_id query optional string

The unique identifier of the incident

Responses

200

List of Measurements.

400

Bad Request

500

Internal Server Error

GET /monitors/measurements
GET /monitors/monitors

This endpoint allows you to retrieve a list of all the monitors in your workspace.

operationId: Monitors_listMonitors

Responses

200

List of Monitors.

400

Bad Request

500

Internal Server Error

GET /monitors/monitors
GET /monitors/monitors/{monitor_id}

This endpoint allows you to retrieve a monitors by it’s ID. You can find the ID in the URL of the monitor when accessing it from the Secoda UI.

operationId: Monitors_getById

Parameters

Name In Required Type Description
monitor_id path required string

The unique identifier of the monitor

Responses

200

Monitor retrieved successfully

404

Monitor not found

500

Internal Server Error

GET /monitors/monitors/{monitor_id}

Queries 2 endpoints

GET /query/queries

This endpoint allows you to retrieve a list of all queries in the workspace. No filtering is available at this time.

operationId: Queries_getList

Responses

200

List of queries.

400

Bad Request

500

Internal Server Error

GET /query/queries
GET /query/queries/{query_id}

This endpoint allows you to retrieve a query by its unique identifier (query_id).

operationId: Queries_getById

Parameters

Name In Required Type Description
query_id path required string

The unique identifier of the query

Responses

200

Query retrieved successfully

404

Query not found

500

Internal Server Error

GET /query/queries/{query_id}

Questions 10 endpoints

GET /question/questions

This endpoint allows you to retrieve a list of questions.

operationId: Questions_getList

Responses

200

List of questions.

400

Bad Request

500

Internal Server Error

GET /question/questions
POST /question/questions

This endpoint allows you to create a new question. The answer to the question can be set in the answer field, or added as a reply to the question/replies endpoint.

operationId: Questions_createNewQuestion

Request Body

required
application/json
schema BaseResourceRequest
Property Type Required
pii boolean optional
tags array optional
teams array optional
title string optional
owners array optional
parent string optional
verified boolean optional
published boolean optional
definition string optional
properties object optional
custom array optional
name string optional
type string optional
order integer optional
value string optional
collections array optional
description string optional
integration string optional
subscribers array optional

Responses

201

Created

400

Bad Request

500

Internal Server Error

POST /question/questions
DELETE /question/questions/{question_id}

This endpoint allows you to delete a question by its unique identifier (question_id).

operationId: Questions_deleteById

Parameters

Name In Required Type Description
question_id path required string

The unique identifier of the question to delete

Responses

204

Question deleted successfully

404

Question not found

500

Internal Server Error

DELETE /question/questions/{question_id}
GET /question/questions/{question_id}

This endpoint allows you to retrieve a question by its unique identifier (question_id).

operationId: Questions_getById

Parameters

Name In Required Type Description
question_id path required string

The unique identifier of the question

Responses

200

Question retrieved successfully

404

Question not found

500

Internal Server Error

GET /question/questions/{question_id}
PATCH /question/questions/{question_id}

This endpoint allows you to edit the metadata of a question by its unique identifier (question_id).

operationId: Questions_updateById

Parameters

Name In Required Type Description
question_id path required string

The unique identifier of the question to edit

Request Body

required
application/json
schema BasePatchRequest
Property Type Required
pii boolean optional
tags array optional
teams array optional
owners array optional
verified boolean optional
published boolean optional
definition string optional
properties object optional
custom array optional
name string optional
type string optional
order integer optional
value string optional
collections array optional
description string optional
subscribers array optional

Responses

200

Definition updated successfully

400

Bad Request

404

Question not found

500

Internal Server Error

PATCH /question/questions/{question_id}
GET /question/replies

This endpoint allows you to retrieve a list of replies. You can optionally filter the replies by question_id using the “question_id” query parameter.

operationId: Questions_listReplies

Parameters

Name In Required Type Description
question_id query optional string

Filter replies by question_id (optional)

Responses

200

List of replies.

400

Bad Request

500

Internal Server Error

GET /question/replies
POST /question/replies

This endpoint allows you to create a new reply to a specified question (indicated by the parent_id).

operationId: Questions_createNewReply

Request Body

required
application/json
schema QuestionsCreateNewReplyRequest
Property Type Required
owners array optional
parent string optional
definition string optional
accepted_answer boolean optional

Responses

201

Created

400

Bad Request

500

Internal Server Error

POST /question/replies
DELETE /question/replies/{reply_id}

This endpoint allows you to delete a reply by its unique identifier (reply_id).

operationId: Questions_deleteReplyById

Parameters

Name In Required Type Description
reply_id path required string

The unique identifier of the reply to delete

Responses

204

Reply deleted successfully

404

Reply not found

500

Internal Server Error

DELETE /question/replies/{reply_id}
GET /question/replies/{reply_id}

This endpoint allows you to retrieve a reply by its unique identifier (reply_id).

operationId: Questions_getReplyById

Parameters

Name In Required Type Description
reply_id path required string

The unique identifier of the reply

Responses

200

Reply retrieved successfully

404

Reply not found

500

Internal Server Error

GET /question/replies/{reply_id}
PATCH /question/replies/{reply_id}

This endpoint allows you to edit the content of a reply by its unique identifier (reply_id). You can also use this endoint to set this reply as the accepted answer.

operationId: Questions_editReplyById

Parameters

Name In Required Type Description
reply_id path required string

The unique identifier of the reply to edit

Request Body

required
application/json
schema QuestionsEditReplyByIdRequest
Property Type Required
definition string optional
accepted_answer boolean optional

Responses

200

Definition updated successfully

400

Bad Request

404

Reply not found

500

Internal Server Error

PATCH /question/replies/{reply_id}

Schemas 4 endpoints

GET /table/schemas

Endpoint for retrieving a list of schemas with optional filtering by parent schema and title.

operationId: Schemas_listWithFilter

Parameters

Name In Required Type Description
parent query optional string

The ID of the parent database to filter by.

title query optional string

The title of the schema to filter by.

Responses

200

List of schemas.

400

Bad request.

500

Internal server error.

GET /table/schemas
POST /table/schemas

Create a new schema. Schema must have one database as a parent, and be associated with an integration.

operationId: Schemas_createNewSchema

Request Body

required
application/json
schema BaseResourceRequest
Property Type Required
pii boolean optional
tags array optional
teams array optional
title string optional
owners array optional
parent string optional
verified boolean optional
published boolean optional
definition string optional
properties object optional
custom array optional
name string optional
type string optional
order integer optional
value string optional
collections array optional
description string optional
integration string optional
subscribers array optional

Responses

201

Schema created successfully

400

Bad request.

500

Internal server error.

POST /table/schemas
GET /table/schemas/{schema_id}

Retrieve schema details by its unique ID.

operationId: Schemas_getById

Parameters

Name In Required Type Description
schema_id path required string

The ID of the schema to retrieve or update.

Responses

200

Schema details retrieved successfully

404

Schema not found.

500

Internal server error.

GET /table/schemas/{schema_id}
PATCH /table/schemas/{schema_id}

Use this endpoint to update schema metadata.

operationId: Schemas_updateById

Parameters

Name In Required Type Description
schema_id path required string

The ID of the schema to retrieve or update.

Request Body

required
application/json
schema BasePatchRequest
Property Type Required
pii boolean optional
tags array optional
teams array optional
owners array optional
verified boolean optional
published boolean optional
definition string optional
properties object optional
custom array optional
name string optional
type string optional
order integer optional
value string optional
collections array optional
description string optional
subscribers array optional

Responses

200

Schema updated successfully

400

Bad request.

404

Schema not found.

500

Internal server error.

PATCH /table/schemas/{schema_id}

Tables 5 endpoints

GET /table/tables

This endpoint retrieves a list of tables, with optional filters for the integration, the schema, and the title of the table resource.

operationId: Tables_listTablesByFilter

Parameters

Name In Required Type Description
integration_id query optional string

Integration ID

parent_id query optional string

ID of the schema

title query optional string

Title of the table

Responses

200

List of databases.

400

Bad request.

500

Internal server error.

GET /table/tables
POST /table/tables

Create a new table with a schema as a parent. The table must be associated with an integration.

operationId: Tables_createNewTable

Request Body

required
application/json
schema BaseResourceRequest
Property Type Required
pii boolean optional
tags array optional
teams array optional
title string optional
owners array optional
parent string optional
verified boolean optional
published boolean optional
definition string optional
properties object optional
custom array optional
name string optional
type string optional
order integer optional
value string optional
collections array optional
description string optional
integration string optional
subscribers array optional

Responses

201

Table created successfully

400

Bad request.

500

Internal server error.

POST /table/tables
DELETE /table/tables/{table_id}

This endpoint deletes a specific table by its ID.

operationId: Tables_deleteById

Parameters

Name In Required Type Description
table_id path required string

ID of the table to delete

Responses

204

Table deleted successfully

404

Table not found.

500

Internal server error.

DELETE /table/tables/{table_id}
GET /table/tables/{table_id}

This endpoint retrieves a specific table by its ID.

operationId: Tables_getTableById

Parameters

Name In Required Type Description
table_id path required string

ID of the table to retrieve

Responses

200

Successful response

404

Table not found.

500

Internal server error.

GET /table/tables/{table_id}
PATCH /table/tables/{table_id}

Use this endpoint to update table metadata.

operationId: Tables_updateById

Parameters

Name In Required Type Description
table_id path required string

ID of the table to update

Request Body

Table data to update

application/json
schema BasePatchRequest
Property Type Required
pii boolean optional
tags array optional
teams array optional
owners array optional
verified boolean optional
published boolean optional
definition string optional
properties object optional
custom array optional
name string optional
type string optional
order integer optional
value string optional
collections array optional
description string optional
subscribers array optional

Responses

200

Successful response

400

Bad request.

404

Table not found.

500

Internal server error.

PATCH /table/tables/{table_id}

Tags 5 endpoints

GET /tag

Get a list of tags. No filtering is currently available.

operationId: Tags_list

Responses

200

List of tags.

400

Bad Request

500

Internal Server Error

GET /tag
POST /tag

Create a new tag for the workspace.

operationId: Tags_createNewTag

Request Body

required
application/json
schema TagsCreateNewTagRequest
Property Type Required
name string optional
color string optional
description string optional

Responses

201

Created

400

Bad Request

500

Internal Server Error

POST /tag
DELETE /tag/{tag_id}

Delete a tag by its ID.

operationId: Tags_deleteById

Parameters

Name In Required Type Description
tag_id path required string

The ID of the tag to delete.

Responses

204

No Content

404

Not Found

500

Internal Server Error

DELETE /tag/{tag_id}
GET /tag/{tag_id}

Get a tag by its ID.

operationId: Tags_getById

Parameters

Name In Required Type Description
tag_id path required string

The ID of the tag to retrieve.

Responses

200

OK

404

Not Found

500

Internal Server Error

GET /tag/{tag_id}
PATCH /tag/{tag_id}

Use this endpoint to update tag name, color, or icon.

operationId: Tags_updateById

Parameters

Name In Required Type Description
tag_id path required string

The ID of the tag to update.

Request Body

required
application/json
schema TagsUpdateByIdRequest
Property Type Required
color string required

Responses

204

No Content

404

Not Found

500

Internal Server Error

PATCH /tag/{tag_id}

Teams 5 endpoints

GET /auth/teams

Get a list of teams in the workspace.

operationId: Teams_getList

Responses

200

List of teams.

400

Bad Request

500

Internal Server Error

GET /auth/teams
POST /auth/teams

Create a new team in the workspace.

operationId: Teams_createNewTeam

Request Body

required
application/json
schema TeamsCreateNewTeamRequest
Property Type Required
icon string optional
name string optional
type string optional
description string optional
sidebar_settings object optional
home boolean optional
catalog boolean optional
documents boolean optional
questions boolean optional
dictionary boolean optional
collections boolean optional

Responses

201

Created

400

Bad Request

500

Internal Server Error

POST /auth/teams
DELETE /auth/teams/{id}

Delete a team by their ID. Any resources that belong solely to this team will be set to the default team.

operationId: Teams_deleteById

Parameters

Name In Required Type Description
id path required string

The ID of the team to delete.

Responses

204

No Content

404

Not Found

500

Internal Server Error

DELETE /auth/teams/{id}
GET /auth/teams/{id}

Get a team by their ID.

operationId: Teams_getById

Parameters

Name In Required Type Description
id path required string

The ID of the team to retrieve.

Responses

200

OK

404

Not Found

500

Internal Server Error

GET /auth/teams/{id}
PATCH /auth/teams/{id}

Use this endpoint to update the Team. Editable fields include the name, description, icon, type, and sidebar settings.

operationId: Teams_updateById

Parameters

Name In Required Type Description
id path required string

The ID of the team to update.

Request Body

required
application/json
schema TeamsUpdateByIdRequest
Property Type Required
name string optional

Responses

200

Team updated successfully

400

Bad Request

404

User not found

500

Internal Server Error

PATCH /auth/teams/{id}

Terms 5 endpoints

GET /dictionary/terms

This endpoint allows you to retrieve a list of dictionary terms with optional filtering by name of the term (title).

operationId: Terms_getListByTitle

Parameters

Name In Required Type Description
title query optional string

Filter terms by title (optional)

Responses

200

List of dictionary terms.

400

Bad Request

500

Internal Server Error

GET /dictionary/terms
POST /dictionary/terms

This endpoint allows you to create a new dictionary term with the specified data. The title will map to the dictionary term name, and the definition of the term can be added to the definition field.

operationId: Terms_createNewTerm

Request Body

required
application/json
schema BaseResourceRequest
Property Type Required
pii boolean optional
tags array optional
teams array optional
title string optional
owners array optional
parent string optional
verified boolean optional
published boolean optional
definition string optional
properties object optional
custom array optional
name string optional
type string optional
order integer optional
value string optional
collections array optional
description string optional
integration string optional
subscribers array optional

Responses

201

Created

400

Bad Request

500

Internal Server Error

POST /dictionary/terms
DELETE /dictionary/terms/{term_id}

This endpoint allows you to delete a dictionary term by its unique identifier (term_id).

operationId: Terms_deleteById

Parameters

Name In Required Type Description
term_id path required string

The unique identifier of the dictionary term to delete

Responses

204

Term deleted successfully

404

Term not found

500

Internal Server Error

DELETE /dictionary/terms/{term_id}
GET /dictionary/terms/{term_id}

This endpoint allows you to retrieve a single dictionary term by its unique identifier (term_id).

operationId: Terms_getById

Parameters

Name In Required Type Description
term_id path required string

The unique identifier of the dictionary term

Responses

200

Dictionary term retrieved successfully

404

Term not found

500

Internal Server Error

GET /dictionary/terms/{term_id}
PATCH /dictionary/terms/{term_id}

This endpoint allows you to edit the metadata of a dictionary term by its unique identifier (term_id).

operationId: Terms_updateById

Parameters

Name In Required Type Description
term_id path required string

The unique identifier of the dictionary term to edit

Request Body

required
application/json
schema BasePatchRequest
Property Type Required
pii boolean optional
tags array optional
teams array optional
owners array optional
verified boolean optional
published boolean optional
definition string optional
properties object optional
custom array optional
name string optional
type string optional
order integer optional
value string optional
collections array optional
description string optional
subscribers array optional

Responses

200

Description updated successfully

400

Bad Request

404

Term not found

500

Internal Server Error

PATCH /dictionary/terms/{term_id}
Load more endpoints